{
    "$graph": [
        {
            "label": "kmer_extract_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.input)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "kmer_extract_wnode",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#kmer_extract_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "inputBinding": {
                        "prefix": "-backlog"
                    },
                    "id": "#kmer_extract_wnode.cwl/backlog"
                },
                {
                    "doc": "Used only to be preserved",
                    "type": "File",
                    "id": "#kmer_extract_wnode.cwl/input"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#kmer_extract_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-type"
                    },
                    "id": "#kmer_extract_wnode.cwl/input_type"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 18,
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#kmer_extract_wnode.cwl/k"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#kmer_extract_wnode.cwl/kmer_output_dir"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "inputBinding": {
                        "prefix": "-max-jobs"
                    },
                    "id": "#kmer_extract_wnode.cwl/max_jobs"
                }
            ],
            "id": "#kmer_extract_wnode.cwl",
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.kmer_output_dir)"
                    },
                    "id": "#kmer_extract_wnode.cwl/outdir"
                }
            ]
        },
        {
            "label": "submit_kmer_extract",
            "doc": "We need $(inputs.seq_entry) to be a local file to the current subdirectory since the file name goes to output.xml, a notorious file with files.\n",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.seq_entry)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "submit_kmer_extract",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "expected_kmer_files",
                    "inputBinding": {
                        "prefix": "-expected-output"
                    },
                    "id": "#submit_kmer_extract.cwl/expected_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-gc-id-list"
                    },
                    "id": "#submit_kmer_extract.cwl/gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-kmer-output-dir"
                    },
                    "id": "#submit_kmer_extract.cwl/kmer_output_dir"
                },
                {
                    "type": "string",
                    "default": "output.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#submit_kmer_extract.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-seq-entry"
                    },
                    "id": "#submit_kmer_extract.cwl/seq_entry"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#submit_kmer_extract.cwl/jobs"
                }
            ],
            "id": "#submit_kmer_extract.cwl"
        },
        {
            "label": "kmer_seq_entry_extract_wnode",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/entry"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/kmer_file_list"
                },
                {
                    "type": "string",
                    "default": "kmer_dir",
                    "id": "#main/kmer_output_dir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#main/kmer_extract_wnode/outdir",
                    "id": "#main/out_kmer_dir"
                }
            ],
            "steps": [
                {
                    "run": "#kmer_extract_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/kmer_extract_wnode/asn_cache"
                        },
                        {
                            "source": "#main/entry",
                            "id": "#main/kmer_extract_wnode/input"
                        },
                        {
                            "source": "#main/submit_kmer_extract/jobs",
                            "id": "#main/kmer_extract_wnode/input_jobs"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/kmer_extract_wnode/input_type"
                        },
                        {
                            "source": "#main/kmer_output_dir",
                            "id": "#main/kmer_extract_wnode/kmer_output_dir"
                        }
                    ],
                    "out": [
                        "#main/kmer_extract_wnode/outdir"
                    ],
                    "id": "#main/kmer_extract_wnode"
                },
                {
                    "run": "#submit_kmer_extract.cwl",
                    "in": [
                        {
                            "default": "expected_kmer_files",
                            "id": "#main/submit_kmer_extract/expected_output"
                        },
                        {
                            "source": "#main/kmer_output_dir",
                            "id": "#main/submit_kmer_extract/kmer_output_dir"
                        },
                        {
                            "source": "#main/entry",
                            "id": "#main/submit_kmer_extract/seq_entry"
                        }
                    ],
                    "out": [
                        "#main/submit_kmer_extract/jobs"
                    ],
                    "id": "#main/submit_kmer_extract"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
